/*  Да се напише програма, която определя дали
 *  въведено от потребителя цяло положително число
 *  е просто. Да се изведе съобщение с отговора.
 *  aкo числото не е просто, да се изведат всички
 *  числа, които го делят.
 */
#include <iostream>
#include <cmath>
using namespace std;


int main() {

    int number;
    cout << "Input a number: ";
    cin >> number;

    while(number < 1) {
        cout << "Input a positive number: ";
        cin >> number;
    }

    if(number == 1) {
        cout << number << " is not a prime number." << endl;
        return 0;
    }

    bool isPrime = true;
    for(int divider = 2; divider <= sqrt(number); ++divider) {
        if(number % divider == 0) {
            if(isPrime) {
                cout << number << " is not a prime number" << endl;
                isPrime = false;
            }
            cout << number << " is divided by " << divider << endl;
        }
    }

    if(isPrime) {
        cout << number << " is a prime number!" << endl;
    }

    return 0;
}
